Bug 667073 - hdapsd options discarded in systemd startup
Summary: hdapsd options discarded in systemd startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hdapsd
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tomasz Torcz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 10:15 UTC by Alexandre Silva Lopes
Modified: 2011-01-18 21:34 UTC (History)
1 user (show)

Fixed In Version: hdapsd-20090401-6.fc14.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-18 21:34:23 UTC
Type: ---


Attachments (Terms of Use)

Description Alexandre Silva Lopes 2011-01-04 10:15:13 UTC
Description of problem:
Options (defined in /etc/sysconfig/hdapsd) not considered when hdapsd starts.

Version-Release number of selected component (if applicable):
20090401-6.fc14

How reproducible:
Always.

Steps to Reproduce:
1. Reboot computer and pass option "init=/bin/systemd" to grub.
2. Login.
3. Insert command "ps ax | grep hdapsd".
  
Actual results:
Verify that hdapsd was started only with parameters "-d sda", ignoring HDAPSD_OPTIONS defined in /etc/sysconfig/hdapsd .

Expected results:
hdapsd should have been started also with HDAPSD_OPTIONS defined in /etc/sysconfig/hdapsd .

Additional info:
This can be fixed if parentheses around HDAPSD_OPTIONS are removed from ExecStart line in /lib/systemd/system/hdapsd@.service, i.e. it should read

ExecStart=/usr/sbin/hdapsd -d %I $HDAPSD_OPTIONS

Comment 1 Tomasz Torcz 2011-01-09 17:02:45 UTC
Thank you for reporting and providing possible fix. It looks fine (and I get lost with systemd differences in substitution with $VAR vs ${VAR} vs $(VAR)).
 I will test it and push updated hdapsd package.

Comment 2 Fedora Update System 2011-01-09 17:52:49 UTC
hdapsd-20090401-6.fc14.2 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hdapsd-20090401-6.fc14.2

Comment 3 Fedora Update System 2011-01-10 21:27:04 UTC
hdapsd-20090401-6.fc14.2 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hdapsd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/hdapsd-20090401-6.fc14.2

Comment 4 Fedora Update System 2011-01-18 21:34:19 UTC
hdapsd-20090401-6.fc14.2 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.